PHP – Solução erro composer install

PHP Unable to load dynamic library ‘/usr/lib64/php/modules/module.so

$ composer install –version

or

$ php --version

Warning

“`

PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/lib64/php/modules/module.so’ –

/usr/lib64/php/modules/module.so: cannot open shared object file: No such file or directory in Unknown on line 0

PHP 5.3.3 (cli) (built: Dec 11 2013 03:29:57) Copyright (c) 1997-2010 The PHP Group Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

“`

Solução encontrada:

up vote 5 down vote

  1. I check all file in : /etc/php.d/
  2. It was mcrypt.ini with this line

    extension=module.so

but module.so not exist in /usr/lib64/php/modules/

  1. I reinstalled mcrypt with yum install mcrypt and the result I have mcryp.so in /usr/lib64/php/modules/
  2. so now just correct the line in mcrypt.ini and make

extension=mcrypt.so

Fonte Stackoverflow